/*
********* struktura *********************

#define POTOMKU 10
typedef struct UzelStromu
{
	int data;
	struct UzelStromu* potomci[POTOMKU];
} UZELSTROMU;

*****prochazeni do hloubky pomoci rekurze*********

void ProjdiDoHloubky(UZELSTROMU *odkud)	// napoprvy predam koren
{
	// ukonci kdyz prazdno
	if (odkud==NULL) return;
	// zpracuj data
	printf("\n Hodnota: %d", odkud->data);
	// pro vsechny nasledniky zavolej projdi do hloubky
	int i;
	for (i=0; i<POTOMKU; ++i)
	{
		ProjdiDoHloubky(odkud->potomci[i]);
	}
}

******* obecny algoritmus pro projiti do hloubky ci do sirky ********

SEZNAM S;
UZEL U;
1. Vloz koren do S
2. Jestlize S prazdny, tak 7
3. Vyber uzel U z S
4. Zpracuj U
5. Vloz potomky U do S
6. Jdi na 2.
7. Konec

do hloubky: S = FIFO (zasobnik)
do sirky: S = LIFO (fronta)

*/


#include "UzelStromu.h"
#include <iostream>
#include <conio.h>

using namespace std;

void main()
{
	UzelStromu koren;
	char vstRet[200];
	koren.UlozPreklad("hello", "ahoj");
	koren.UlozPreklad("house", "dum");
	koren.UlozPreklad("but", "ale");
	cout << endl << "Jake slovo chces prelozit?";
	cin >> vstRet;
	cout << koren.NajdiPreklad(vstRet);
	cout << endl << "... stiskni klavesu ...";
	getch();
}