#include ".\uzelstromu.h"

UzelStromu::UzelStromu(void)
{
	int i;
	for (i=0; i<POTOMKU; ++i)
	{
		potomci[i]=NULL;
	}
	preklad = NULL;
}

UzelStromu::~UzelStromu(void)
{
	int i;
	for (i=0; i<POTOMKU; ++i)
	{
		if (potomci[i]) delete potomci[i];
	}
	if (preklad) delete[] preklad;
}

bool UzelStromu::UlozPreklad(const char* preklad, const char* cesta)
{
	if (*cesta=='\0') // mam za ukol ulozit preklad
	{
		if (this->preklad) return false;
		else 
		{
			this->preklad = new char[strlen(preklad)+1];
			strcpy(this->preklad, preklad);
			return true;
		}
	}
	else 
	{
		if (potomci[*cesta]==NULL) potomci[*cesta]=new UzelStromu();
		return potomci[*cesta]->UlozPreklad(preklad, cesta+1);
	}
}

const char* UzelStromu::NajdiPreklad(const char* cesta)
{
	if (*cesta=='\0') 
	{
		if (preklad) {
			return preklad;
		}
		else
		{
			return NEEXISTUJE;
		}
	}
	else 
	{
		if (potomci[*cesta])
		{
			return potomci[*cesta]->NajdiPreklad(cesta+1);
		}
		else
		{
			return NEEXISTUJE;
		}
	}
}
